[Back to **Satellite datasets**](Satellite.md)

# Limb Darkening

The main purpose of `RTModel` is to find preliminary models of microlensing events that can be later studied and refined using any available additional information. In general, to meet this goal, it is not necessary to consider the source limb darkening and a uniform brightness profile is adopted in all calculations.

However, there are known exceptions in which limb darkening is essential to avoid claiming planet detections from improperly modeled finite-source effects. In fact, in high-magnification single-lens events it may happen that the difference between the uniform and limb-darkened model can be mimicked by a distortion of the central caustic induced by a planet.

In such cases, it is recommended to include limb darkening in the whole `RTModel` modeling run. This is achieved just by adding one more file named `LimbDarkening.txt` to the `/Data` subdirectory of the event.

The file `LimbDarkening.txt` should contain the values of the limb darkening coefficients for each telescope, one per line. The following example shows the typical content of `LimbDarkening.txt`:
```
0.57
0.41
```

Here we have two photometric datasets and we specify their respective linear limb darkening coefficients. Only linear limb darkening is implemented in `RTModel`. The order of the telescopes here is the same as that found in the file `FilterToData.txt`, which is generated by the [Data pre-processing module](DataPreprocessing.md).

[Go to **Data pre-processing**](DataPreprocessing.md)
